<template>
    <div class="container">
      <!-- 顶部信息 -->
      <div class="containertop">
        <h3>{{ form.name }}</h3> 
      </div>
    </div>
  </template>
  
  <script>
  export default {
    props: {
      size: {
        type: String,
        default: ''
      },
      basicInfo: {
        type: Object,
        required: true
      },
    },
    data() {
      return {
        form: {
          name: '', 
        },
        descriptions: [] 
      };
    },
    watch: {
      basicInfo: {
        handler(newVal) {
          if (newVal && newVal.name) {
            this.form = {
              ...this.form, 
              name: newVal.name, 
              begainTime: newVal.begainTime ? new Date(newVal.begainTime) : '',
              endTime: newVal.endTime ? new Date(newVal.endTime) : '',
            };
          }
        },
        immediate: true,
        deep: true
      }
    },
    methods: {

    }
  };
  </script>
  
  <style scoped>
  </style>